home
***
CD-ROM
|
disk
|
FTP
|
other
***
search
/
Fresh Fish 8
/
FreshFishVol8-CD1.bin
/
gnu
/
src
/
diffs
/
gzip-1.2.4.diffs
< prev
next >
Wrap
Text File
|
1995-01-21
|
66KB
|
2,291 lines
diff -rc --new-file gzip-1.2.4/INSTALL /gnu/src/amiga/gzip-1.2.4/INSTALL
*** gzip-1.2.4/INSTALL Thu Aug 19 10:35:42 1993
--- /gnu/src/amiga/gzip-1.2.4/INSTALL Wed Feb 23 18:33:24 1994
***************
*** 35,42 ****
DIR is the directory that contains the source code.
By default, `make install' will install the package's files in
! /usr/local/bin, /usr/local/lib, /usr/local/man, etc. You can specify an
! installation prefix other than /usr/local by giving `configure' the option
`--prefix=PATH'. Alternately, you can do so by consistently giving a value
for the `prefix' variable when you run `make', e.g.,
make prefix=/usr/gnu
--- 35,42 ----
DIR is the directory that contains the source code.
By default, `make install' will install the package's files in
! /gnu/bin, /gnu/lib, /gnu/man, etc. You can specify an
! installation prefix other than /gnu by giving `configure' the option
`--prefix=PATH'. Alternately, you can do so by consistently giving a value
for the `prefix' variable when you run `make', e.g.,
make prefix=/usr/gnu
***************
*** 270,273 ****
- On HPUX, configure can't find a correct install. Use:
! INSTALL=/usr/local/bin/bsdinst ./configure
--- 270,273 ----
- On HPUX, configure can't find a correct install. Use:
! INSTALL=/gnu/bin/bsdinst ./configure
diff -rc --new-file gzip-1.2.4/Makefile.in /gnu/src/amiga/gzip-1.2.4/Makefile.in
*** gzip-1.2.4/Makefile.in Tue Aug 17 17:12:40 1993
--- /gnu/src/amiga/gzip-1.2.4/Makefile.in Sat Dec 24 15:19:11 1994
***************
*** 87,93 ****
O=.o
# For OS/2 or MSDOS, use: O=.obj
! prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
--- 87,93 ----
O=.o
# For OS/2 or MSDOS, use: O=.obj
! prefix = /gnu
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
***************
*** 159,165 ****
#.PHONY: default all force test check
! default: gzip$X
all: gzip$X $(G)zdiff $(G)zgrep $(G)zmore $(G)znew $(G)zforce gzexe
force:
--- 159,165 ----
#.PHONY: default all force test check
! default: all
all: gzip$X $(G)zdiff $(G)zgrep $(G)zmore $(G)znew $(G)zforce gzexe
force:
diff -rc --new-file gzip-1.2.4/Product-Info /gnu/src/amiga/gzip-1.2.4/Product-Info
*** gzip-1.2.4/Product-Info Thu Jan 1 00:00:00 1970
--- /gnu/src/amiga/gzip-1.2.4/Product-Info Tue Jul 12 17:26:21 1994
***************
*** 0 ****
--- 1,95 ----
+ .name
+ gzip
+ .fullname
+ GNU compressing/decompressing programs
+ .type
+ Miscellaneous
+ .short
+ GNU compressing/decompressing programs
+ .description
+ Gzip reduces the size of the named files using Lempel-Ziv coding
+ (LZ77). Whenever possible, each file is replaced by one with the
+ extension .gz, while keeping the same ownership modes, access and
+ modification times. (The default extension is -gz for VMS, z for
+ MSDOS, OS/2 FAT, Windows NT FAT and Atari.) If no files are specified,
+ or if a file name is "-", the standard input is compressed to the
+ standard output. Gzip will only attempt to compress regular files.
+ In particular, it will ignore symbolic links.
+
+ If the compressed file name is too long for its file system, gzip
+ truncates it. Gzip attempts to truncate only the parts of the file
+ name longer than 3 characters. (A part is delimited by dots.) If the
+ name consists of small parts only, the longest parts are truncated.
+ For example, if file names are limited to 14 characters,
+ gzip.msdos.exe is compressed to gzi.msd.exe.gz. Names are not
+ truncated on systems which do not have a limit on file name length.
+
+ By default, gzip keeps the original file name and timestamp in the
+ compressed file. These are used when decompressing the file with the
+ -N option. This is useful when the compressed file name was truncated
+ or when the time stamp was not preserved after a file transfer.
+
+ Compressed files can be restored to their original form using gzip -d
+ or gunzip or zcat. If the original name saved in the compressed file
+ is not suitable for its file system, a new name is constructed from
+ the original one to make it legal.
+
+ gunzip takes a list of files on its command line and replaces each
+ file whose name ends with .gz, -gz, .z, -z, _z or .Z and which begins
+ with the correct magic number with an uncompressed file without the
+ original extension. gunzip also recognizes the special extensions
+ ".tgz" and ".taz" as shorthands for .tar.gz and .tar.Z respectively.
+ When compressing, gzip uses the .tgz extension if necessary instead of
+ truncating a file with a .tar extension.
+
+ gunzip can currently decompress files created by gzip, zip, compress,
+ compress -H or pack. The detection of the input format is automatic.
+ When using the first two formats, gunzip checks a 32 bit CRC. For
+ pack, gunzip checks the uncompressed length. The standard compress
+ format was not designed to allow consistency checks. However gunzip
+ is sometimes able to detect a bad .Z file. If you get an error when
+ uncompressing a .Z file, do not assume that the .Z file is correct
+ simply because the standard uncompress does not complain. This
+ generally means that the standard uncompress does not check its input,
+ and happily generates garbage output. The SCO compress -H format (lzh
+ compression method) does not include a CRC but also allows some
+ consistency checks.
+
+ Files created by zip can be uncompressed by gzip only if they have a
+ single member compressed with the 'deflation' method. This feature is
+ only intended to help conversion of tar.zip files to the tar.gz
+ format. To extract zip files with several members, use unzip instead
+ of gunzip.
+
+ zcat is identical to gunzip -c. (On some systems, zcat may be
+ installed as gzcat to preserve the original link to compress.) zcat
+ uncompresses either a list of files on the command line or its
+ standard input and writes the uncompressed data on standard output.
+ zcat will uncompress files that have the correct magic number whether
+ they have a .gz suffix or not.
+
+ Gzip uses the Lempel-Ziv algorithm used in zip and PKZIP. The amount
+ of compression obtained depends on the size of the input and the
+ distribution of common substrings. Typically, text such as source
+ code or English is reduced by 60-70%. Compression is generally much
+ better than that achieved by LZW (as used in compress), Huffman coding
+ (as used in pack), or adaptive Huffman coding (compact).
+
+ Compression is always performed, even if the compressed file is
+ slightly larger than the original. The worst case expansion is a few
+ bytes for the gzip file header, plus 5 bytes every 32K block, or an
+ expansion ratio of 0.015% for large files. Note that the actual number
+ of used disk blocks almost never increases. gzip preserves the mode,
+ ownership and timestamps of files when compressing or decompressing.
+ .version
+ 1.2.4
+ .author
+ Jean-loup Gailly
+ .requirements
+ Amiga binary requires ixemul.library.
+ .distribution
+ GNU Public License
+ .email
+ jloup@chorus.fr
+ .described-by
+ Fred Fish (fnf@amigalib.com)
diff -rc --new-file gzip-1.2.4/configure /gnu/src/amiga/gzip-1.2.4/configure
*** gzip-1.2.4/configure Wed Jul 7 15:02:04 1993
--- /gnu/src/amiga/gzip-1.2.4/configure Mon Apr 25 20:45:50 1994
***************
*** 1,142 ****
#!/bin/sh
# Guess values for system-dependent variables and create Makefiles.
! # Generated automatically using autoconf.
! # Copyright (C) 1991, 1992, 1993 Free Software Foundation, Inc.
! # This program is free software; you can redistribute it and/or modify
! # it under the terms of the GNU General Public License as published by
! # the Free Software Foundation; either version 2, or (at your option)
# any later version.
! # This program is distributed in the hope that it will be useful,
! # but WITHOUT ANY WARRANTY; without even the implied warranty of
! # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
! # GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
! # Usage: configure [--srcdir=DIR] [--host=HOST] [--gas] [--nfp] [--no-create]
! # [--prefix=PREFIX] [--exec-prefix=PREFIX] [--with-PACKAGE] [TARGET]
! # Ignores all args except --srcdir, --prefix, --exec-prefix, --no-create, and
! # --with-PACKAGE unless this script has special code to handle it.
! for arg
do
- # Handle --exec-prefix with a space before the argument.
- if test x$next_exec_prefix = xyes; then exec_prefix=$arg; next_exec_prefix=
- # Handle --host with a space before the argument.
- elif test x$next_host = xyes; then next_host=
- # Handle --prefix with a space before the argument.
- elif test x$next_prefix = xyes; then prefix=$arg; next_prefix=
- # Handle --srcdir with a space before the argument.
- elif test x$next_srcdir = xyes; then srcdir=$arg; next_srcdir=
- else
- case $arg in
- # For backward compatibility, also recognize exact --exec_prefix.
- -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* | --exec=* | --exe=* | --ex=* | --e=*)
- exec_prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- | --exec | --exe | --ex | --e)
- next_exec_prefix=yes ;;
-
- -gas | --gas | --ga | --g) ;;
-
- -host=* | --host=* | --hos=* | --ho=* | --h=*) ;;
- -host | --host | --hos | --ho | --h)
- next_host=yes ;;
-
- -nfp | --nfp | --nf) ;;
-
- -no-create | --no-create | --no-creat | --no-crea | --no-cre | --no-cr | --no-c | --no- | --no)
- no_create=1 ;;
-
- -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
- prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
- next_prefix=yes ;;
-
- -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=* | --s=*)
- srcdir=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- -srcdir | --srcdir | --srcdi | --srcd | --src | --sr | --s)
- next_srcdir=yes ;;
-
- -with-* | --with-*)
- package=`echo $arg|sed 's/-*with-//'`
- # Delete all the valid chars; see if any are left.
- if test -n "`echo $package|sed 's/[-a-zA-Z0-9_]*//g'`"; then
- echo "configure: $package: invalid package name" >&2; exit 1
- fi
- eval "with_`echo $package|sed s/-/_/g`=1" ;;
! -v | -verbose | --verbose | --verbos | --verbo | --verb | --ver | --ve | --v)
! verbose=yes ;;
! *) ;;
esac
! fi
! done
! trap 'rm -f conftest* core; exit 1' 1 3 15
! # Needed for some versions of `tr' so that character classes in `[]' work.
! if test "${LANG+set}" = "set" ; then
! LANG=C
! LC_ALL=C
! export LANG LC_ALL
fi
! rm -f conftest*
! compile='${CC-cc} $CFLAGS $DEFS conftest.c -o conftest $LIBS >/dev/null 2>&1'
# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
! unique_file=gzip.c
# Find the source files, if location was not specified.
if test -z "$srcdir"; then
! srcdirdefaulted=yes
# Try the directory containing this script, then `..'.
! prog=$0
! confdir=`echo $prog|sed 's%/[^/][^/]*$%%'`
! test "X$confdir" = "X$prog" && confdir=.
! srcdir=$confdir
! if test ! -r $srcdir/$unique_file; then
srcdir=..
fi
fi
! if test ! -r $srcdir/$unique_file; then
! if test x$srcdirdefaulted = xyes; then
! echo "configure: Can not find sources in \`${confdir}' or \`..'." 1>&2
else
! echo "configure: Can not find sources in \`${srcdir}'." 1>&2
fi
- exit 1
fi
! # Preserve a srcdir of `.' to avoid automounter screwups with pwd.
! # But we can't avoid them for `..', to make subdirectories work.
! case $srcdir in
! .|/*|~*) ;;
! *) srcdir=`cd $srcdir; pwd` ;; # Make relative path absolute.
! esac
if test -z "$CC"; then
# Extract the first word of `gcc', so it can be a program name with args.
! set dummy gcc; word=$2
! echo checking for $word
! IFS="${IFS= }"; saveifs="$IFS"; IFS="${IFS}:"
! for dir in $PATH; do
! test -z "$dir" && dir=.
! if test -f $dir/$word; then
CC="gcc"
break
fi
done
! IFS="$saveifs"
fi
test -z "$CC" && CC="cc"
! test -n "$CC" -a -n "$verbose" && echo " setting CC to $CC"
# Find out if we are using GNU C, under whatever name.
cat > conftest.c <<EOF
--- 1,335 ----
#!/bin/sh
# Guess values for system-dependent variables and create Makefiles.
! # Generated automatically using autoconf version 1.9
! # Copyright (C) 1991, 1992, 1993, 1994 Free Software Foundation, Inc.
! # This configure script is free software; you can redistribute it and/or
! # modify it under the terms of the GNU General Public License as published
! # by the Free Software Foundation; either version 2, or (at your option)
# any later version.
! # This script is distributed in the hope that it will be useful, but
! # WITHOUT ANY WARRANTY; without even the implied warranty of
! # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
! # Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
! # Save the original args to write them into config.status later.
! configure_args="$*"
+ # Only options that might do something get documented.
+ ac_usage="Usage: configure [options] [host]
+ Options: [defaults in brackets after descriptions]
+ --build=BUILD configure for building on BUILD [BUILD=HOST]
+ --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
+ --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
+ --exec-prefix=PREFIX install host dependent files in PREFIX [/usr/local]
+ --help print this message
+ --host=HOST configure for HOST [guessed]
+ --prefix=PREFIX install host independent files in PREFIX [/usr/local]
+ --quiet, --silent do not print \`checking for...' messages
+ --srcdir=DIR find the sources in DIR [configure dir or ..]
+ --target=TARGET configure for TARGET [TARGET=HOST]
+ --verbose print results of checks
+ --version print the version of autoconf that created configure
+ --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
+ --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
+ --x-includes=DIR X include files are in DIR
+ --x-libraries=DIR X library files are in DIR"
+
+ # Initialize some variables set by options.
+ # The variables have the same names as the options, with
+ # dashes changed to underlines.
+ build=NONE
+ exec_prefix=
+ host=NONE
+ no_create=
+ nonopt=NONE
+ norecursion=
+ prefix=
+ program_prefix=
+ program_suffix=
+ program_transform_name=
+ silent=
+ srcdir=
+ target=NONE
+ verbose=
+ x_includes=
+ x_libraries=
! ac_prev=
! for ac_option
do
! # If the previous option needs an argument, assign it.
! if test -n "$ac_prev"; then
! eval "$ac_prev=\$ac_option"
! ac_prev=
! continue
! fi
!
! # Accept (but ignore some of) the important Cygnus configure
! # options, so we can diagnose typos.
! case "$ac_option" in
! -*=*) ac_optarg=`/bin/echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
! *) ac_optarg= ;;
! esac
!
! case "$ac_option" in
!
! -build | --build | --buil | --bui | --bu | --b)
! ac_prev=build ;;
! -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
! build="$ac_optarg" ;;
!
! -disable-* | --disable-*)
! ac_feature=`/bin/echo $ac_option|sed -e 's/-*disable-//'`
! # Reject names that aren't valid shell variable names.
! if test -n "`/bin/echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
! /bin/echo "configure: $ac_feature: invalid feature name" >&2; exit 1
! fi
! ac_feature=`/bin/echo $ac_feature| sed 's/-/_/g'`
! eval "enable_${ac_feature}=no" ;;
!
! -enable-* | --enable-*)
! ac_feature=`/bin/echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
! # Reject names that aren't valid shell variable names.
! if test -n "`/bin/echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
! /bin/echo "configure: $ac_feature: invalid feature name" >&2; exit 1
! fi
! ac_feature=`/bin/echo $ac_feature| sed 's/-/_/g'`
! case "$ac_option" in
! *=*) ;;
! *) ac_optarg=yes ;;
esac
! eval "enable_${ac_feature}='$ac_optarg'" ;;
!
! # For backward compatibility, recognize -exec-prefix and --exec_prefix.
! -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
! | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
! | --exec | --exe | --ex)
! ac_prev=exec_prefix ;;
! -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
! | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
! | --exec=* | --exe=* | --ex=*)
! exec_prefix="$ac_optarg" ;;
!
! -gas | --gas | --ga | --g)
! with_gas=yes ;; # Obsolete; use --with-gas.
!
! -help | --help | --hel | --he)
! cat << EOF
! $ac_usage
! EOF
! exit 0 ;;
!
! -host | --host | --hos | --ho)
! ac_prev=host ;;
! -host=* | --host=* | --hos=* | --ho=*)
! host="$ac_optarg" ;;
!
! -nfp | --nfp | --nf)
! with_fp=no ;; # Obsolete; use --without-fp.
!
! -no-create | --no-create | --no-creat | --no-crea | --no-cre \
! | --no-cr | --no-c)
! no_create=yes ;;
!
! -norecursion | --norecursion | --norecursio | --norecursi \
! | --norecurs | --norecur | --norecu | --norec | --nore | --nor)
! norecursion=yes ;;
!
! -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
! ac_prev=prefix ;;
! -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
! prefix="$ac_optarg" ;;
!
! -program-prefix | --program-prefix | --program-prefi | --program-pref \
! | --program-pre | --program-pr | --program-p)
! ac_prev=program_prefix ;;
! -program-prefix=* | --program-prefix=* | --program-prefi=* \
! | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
! program_prefix="$ac_optarg" ;;
!
! -program-suffix | --program-suffix | --program-suffi | --program-suff \
! | --program-suf | --program-su | --program-s)
! ac_prev=program_suffix ;;
! -program-suffix=* | --program-suffix=* | --program-suffi=* \
! | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
! program_suffix="$ac_optarg" ;;
!
! -program-transform-name | --program-transform-name \
! | --program-transform-nam | --program-transform-na \
! | --program-transform-n | --program-transform- \
! | --program-transform | --program-transfor \
! | --program-transfo | --program-transf \
! | --program-trans | --program-tran \
! | --progr-tra | --program-tr | --program-t)
! ac_prev=program_transform_name ;;
! -program-transform-name=* | --program-transform-name=* \
! | --program-transform-nam=* | --program-transform-na=* \
! | --program-transform-n=* | --program-transform-=* \
! | --program-transform=* | --program-transfor=* \
! | --program-transfo=* | --program-transf=* \
! | --program-trans=* | --program-tran=* \
! | --progr-tra=* | --program-tr=* | --program-t=*)
! program_transform_name="$ac_optarg" ;;
!
! -q | -quiet | --quiet | --quie | --qui | --qu | --q \
! | -silent | --silent | --silen | --sile | --sil)
! silent=yes ;;
!
! -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
! ac_prev=srcdir ;;
! -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
! srcdir="$ac_optarg" ;;
!
! -target | --target | --targe | --targ | --tar | --ta | --t)
! ac_prev=target ;;
! -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
! target="$ac_optarg" ;;
!
! -v | -verbose | --verbose | --verbos | --verbo | --verb)
! verbose=yes ;;
!
! -version | --version | --versio | --versi | --vers)
! /bin/echo "configure generated by autoconf version 1.9"
! exit 0 ;;
!
! -with-* | --with-*)
! ac_package=`/bin/echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
! # Reject names that aren't valid shell variable names.
! if test -n "`/bin/echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
! /bin/echo "configure: $ac_package: invalid package name" >&2; exit 1
! fi
! ac_package=`/bin/echo $ac_package| sed 's/-/_/g'`
! case "$ac_option" in
! *=*) ;;
! *) ac_optarg=yes ;;
! esac
! eval "with_${ac_package}='$ac_optarg'" ;;
!
! -without-* | --without-*)
! ac_package=`/bin/echo $ac_option|sed -e 's/-*without-//'`
! # Reject names that aren't valid shell variable names.
! if test -n "`/bin/echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
! /bin/echo "configure: $ac_package: invalid package name" >&2; exit 1
! fi
! ac_package=`/bin/echo $ac_package| sed 's/-/_/g'`
! eval "with_${ac_package}=no" ;;
! --x) with_x=yes ;; # Obsolete; use --with-x.
! -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
! | --x-incl | --x-inc | --x-in | --x-i)
! ac_prev=x_includes ;;
! -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
! | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
! x_includes="$ac_optarg" ;;
!
! -x-libraries | --x-libraries | --x-librarie | --x-librari \
! | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
! ac_prev=x_libraries ;;
! -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
! | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
! x_libraries="$ac_optarg" ;;
!
! -*) /bin/echo "configure: $ac_option: invalid option; use --help to show usage" >&2; exit 1
! ;;
!
! *)
! if test -n "`/bin/echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
! /bin/echo "configure: warning: $ac_option: invalid host type" >&2
! fi
! if test "x$nonopt" != xNONE; then
! /bin/echo "configure: can only configure for one host and one target at a time" >&2; exit 1
! fi
! nonopt="$ac_option"
! ;;
!
! esac
! done
!
! if test -n "$ac_prev"; then
! /bin/echo "configure: missing argument to --`/bin/echo $ac_prev | sed 's/_/-/g'`" >&2; exit 1
fi
! trap 'rm -fr conftest* confdefs* core $ac_clean_files; exit 1' 1 2 15
! trap 'rm -fr confdefs* $ac_clean_files' 0
!
! # Save the original args if we used an alternate arg parser.
! ac_configure_temp="${configure_args-$*}"
! # Strip out --no-create and --norecursion so they don't pile up.
! configure_args=
! for ac_arg in $ac_configure_temp; do
! case "$ac_arg" in
! -no-create | --no-create | --no-creat | --no-crea | --no-cre \
! | --no-cr | --no-c) ;;
! -norecursion | --norecursion | --norecursio | --norecursi \
! | --norecurs | --norecur | --norecu | --norec | --nore | --nor) ;;
! *) configure_args="$configure_args $ac_arg" ;;
! esac
! done
!
! # NLS nuisances.
! # These must not be set unconditionally because not all systems understand
! # e.g. LANG=C (notably SCO).
! if test "${LC_ALL+set}" = 'set'; then LC_ALL=C; export LC_ALL; fi
! if test "${LANG+set}" = 'set'; then LANG=C; export LANG; fi
!
! # confdefs.h avoids OS command line length limits that DEFS can exceed.
! rm -rf conftest* confdefs.h
! # AIX cpp loses on an empty file, so make sure it contains at least a newline.
! /bin/echo > confdefs.h
# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
! ac_unique_file=gzip.c
# Find the source files, if location was not specified.
if test -z "$srcdir"; then
! ac_srcdir_defaulted=yes
# Try the directory containing this script, then `..'.
! ac_prog=$0
! ac_confdir=`/bin/echo $ac_prog|sed 's%/[^/][^/]*$%%'`
! test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
! srcdir=$ac_confdir
! if test ! -r $srcdir/$ac_unique_file; then
srcdir=..
fi
fi
! if test ! -r $srcdir/$ac_unique_file; then
! if test x$ac_srcdir_defaulted = xyes; then
! /bin/echo "configure: can not find sources in ${ac_confdir} or .." >&2; exit 1
else
! /bin/echo "configure: can not find sources in ${srcdir}" >&2; exit 1
fi
fi
! ac_ext=c
! ac_cpp='${CPP} $CFLAGS'
! ac_compile='${CC-cc} $CFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'
!
if test -z "$CC"; then
# Extract the first word of `gcc', so it can be a program name with args.
! set ac_dummy gcc; ac_word=$2
! test -n "$silent" || /bin/echo "checking for $ac_word"
! IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
! for ac_dir in $PATH; do
! test -z "$ac_dir" && ac_dir=.
! if test -f $ac_dir/$ac_word; then
CC="gcc"
break
fi
done
! IFS="$ac_save_ifs"
fi
test -z "$CC" && CC="cc"
! test -n "$CC" && test -n "$verbose" && /bin/echo " setting CC to $CC"
# Find out if we are using GNU C, under whatever name.
cat > conftest.c <<EOF
***************
*** 147,173 ****
${CC-cc} -E conftest.c > conftest.out 2>&1
if egrep yes conftest.out >/dev/null 2>&1; then
GCC=1 # For later tests.
- CFLAGS="${CFLAGS--O}"
fi
rm -f conftest*
! echo checking how to run the C preprocessor
if test -z "$CPP"; then
! CPP='${CC-cc} -E'
! cat > conftest.c <<EOF
#include <stdio.h>
EOF
! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
! if test -z "$err"; then
:
else
CPP=/lib/cpp
fi
rm -f conftest*
fi
echo checking for underline in external names
- test -z "$ASCPP" -a -f /lib/cpp && ASCPP=/lib/cpp
test -z "$ASCPP" && ASCPP="$CC -E"
cat > conftest.c <<EOF
int foo() {return 0;}
--- 340,388 ----
${CC-cc} -E conftest.c > conftest.out 2>&1
if egrep yes conftest.out >/dev/null 2>&1; then
GCC=1 # For later tests.
fi
rm -f conftest*
! test -n "$silent" || /bin/echo "checking how to run the C preprocessor"
if test -z "$CPP"; then
! # This must be in double quotes, not single quotes, because CPP may get
! # substituted into the Makefile and ``${CC-cc}'' will simply confuse
! # make. It must be expanded now.
! CPP="${CC-cc} -E"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <stdio.h>
+ Syntax Error
EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
:
else
+ rm -rf conftest*
+ CPP="${CC-cc} -E -traditional-cpp"
+ cat > conftest.${ac_ext} <<EOF
+ #include "confdefs.h"
+ #include <stdio.h>
+ Syntax Error
+ EOF
+ # Some shells (Coherent) do redirections in the wrong order, so need
+ # the parens.
+ ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
+ if test -z "$ac_err"; then
+ :
+ else
+ rm -rf conftest*
CPP=/lib/cpp
fi
rm -f conftest*
fi
+ rm -f conftest*
+ fi
+ test -n "$verbose" && /bin/echo " setting CPP to $CPP"
echo checking for underline in external names
test -z "$ASCPP" && ASCPP="$CC -E"
cat > conftest.c <<EOF
int foo() {return 0;}
***************
*** 199,298 ****
# or the SunOS /usr/etc/install directory, or the AIX /bin/install,
# or the AFS install, which mishandles nonexistent args, or
# /usr/ucb/install on SVR4, which tries to use the nonexistent group
! # `staff'. On most BSDish systems install is in /usr/bin, not /usr/ucb
! # anyway. Sigh.
if test "z${INSTALL}" = "z" ; then
! echo checking for install
! IFS="${IFS= }"; saveifs="$IFS"; IFS="${IFS}:"
! for dir in $PATH; do
! test -z "$dir" && dir=.
! case $dir in
! /etc|/usr/sbin|/usr/etc|/usr/afsws/bin|/usr/ucb) ;;
*)
! if test -f $dir/installbsd; then
! INSTALL="$dir/installbsd -c" # OSF1
! INSTALL_PROGRAM='$(INSTALL)'
! INSTALL_DATA='$(INSTALL) -m 644'
! break
! fi
! if test -f $dir/install; then
! if grep dspmsg $dir/install >/dev/null 2>&1; then
! : # AIX
! else
! INSTALL="$dir/install -c"
! INSTALL_PROGRAM='$(INSTALL)'
! INSTALL_DATA='$(INSTALL) -m 644'
! break
fi
! fi
;;
esac
done
! IFS="$saveifs"
fi
! INSTALL=${INSTALL-cp}
! INSTALL_PROGRAM=${INSTALL_PROGRAM-'$(INSTALL)'}
! INSTALL_DATA=${INSTALL_DATA-'$(INSTALL)'}
!
! echo checking for AIX
! cat > conftest.c <<EOF
#ifdef _AIX
yes
#endif
EOF
! eval "$CPP \$DEFS conftest.c > conftest.out 2>&1"
if egrep "yes" conftest.out >/dev/null 2>&1; then
! {
test -n "$verbose" && \
! echo ' defining' _ALL_SOURCE
DEFS="$DEFS -D_ALL_SOURCE=1"
}
fi
rm -f conftest*
! echo checking for minix/config.h
! cat > conftest.c <<EOF
#include <minix/config.h>
EOF
! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
! if test -z "$err"; then
MINIX=1
fi
rm -f conftest*
# The Minix shell can't assign to the same variable on the same line!
if test -n "$MINIX"; then
! {
test -n "$verbose" && \
! echo ' defining' _POSIX_SOURCE
DEFS="$DEFS -D_POSIX_SOURCE=1"
}
! {
test -n "$verbose" && \
! echo ' defining' _POSIX_1_SOURCE to be '2'
DEFS="$DEFS -D_POSIX_1_SOURCE=2"
}
! {
test -n "$verbose" && \
! echo ' defining' _MINIX
DEFS="$DEFS -D_MINIX=1"
}
fi
! echo checking for POSIXized ISC
! if test -d /etc/conf/kconfig.d &&
! grep _POSIX_VERSION /usr/include/sys/unistd.h >/dev/null 2>&1
then
ISC=1 # If later tests want to check for ISC.
! {
test -n "$verbose" && \
! echo ' defining' _POSIX_SOURCE
DEFS="$DEFS -D_POSIX_SOURCE=1"
}
--- 414,552 ----
# or the SunOS /usr/etc/install directory, or the AIX /bin/install,
# or the AFS install, which mishandles nonexistent args, or
# /usr/ucb/install on SVR4, which tries to use the nonexistent group
! # `staff', or /sbin/install on IRIX which has incompatible command-line
! # syntax. Sigh.
! #
! # On most BSDish systems install is in /usr/bin, not /usr/ucb
! # anyway.
! # This turns out not to be true, so the mere pathname isn't an indication
! # of whether the program works. What we really need is a set of tests for
! # the install program to see if it actually works in all the required ways.
! #
! # Avoid using ./install, which might have been erroneously created
! # by make from ./install.sh.
if test "z${INSTALL}" = "z" ; then
! test -n "$silent" || /bin/echo "checking for a BSD compatible install"
! IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
! for ac_dir in $PATH; do
! case "$ac_dir" in
! ''|.|/gnu/etc|/sbin|/usr/sbin|/usr/etc|/usr/afsws/bin|/usr/ucb) ;;
*)
! # OSF1 and SCO ODT 3.0 have their own names for install.
! for ac_prog in installbsd scoinst install; do
! if test -f $ac_dir/$ac_prog; then
! if test $ac_prog = install &&
! grep dspmsg $ac_dir/$ac_prog >/dev/null 2>&1; then
! # AIX install. It has an incompatible calling convention.
! # OSF/1 installbsd also uses dspmsg, but is usable.
! :
! else
! INSTALL="$ac_dir/$ac_prog -c"
! INSTALL_PROGRAM='${INSTALL}'
! INSTALL_DATA='${INSTALL} -m 644'
! break 2
! fi
fi
! done
;;
esac
done
! IFS="$ac_save_ifs"
fi
! if test -z "$INSTALL"; then
! if test -f ${srcdir}/install.sh; then
! # As a last resort, use the slow shell script.
! INSTALL='@top_srcdir@/install.sh -c'
! else
! /bin/echo "configure: warning: ${srcdir}/install.sh not found; using cp" >&2
! INSTALL=cp
! fi
! fi
! test -n "$verbose" && /bin/echo " setting INSTALL to $INSTALL"
! # Use test -z because SunOS4 sh mishandles ${INSTALL_PROGRAM-'${INSTALL}'}.
! # It thinks the first close brace ends the variable substitution.
! test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
! test -n "$verbose" && /bin/echo " setting INSTALL_PROGRAM to $INSTALL_PROGRAM"
! test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL}'
! test -n "$verbose" && /bin/echo " setting INSTALL_DATA to $INSTALL_DATA"
!
! test -n "$silent" || /bin/echo "checking for AIX"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#ifdef _AIX
yes
#endif
EOF
! eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "yes" conftest.out >/dev/null 2>&1; then
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining _ALL_SOURCE"
! /bin/echo "#define" _ALL_SOURCE "1" >> confdefs.h
DEFS="$DEFS -D_ALL_SOURCE=1"
}
+
fi
rm -f conftest*
! test -n "$silent" || /bin/echo "checking for minix/config.h"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <minix/config.h>
EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
! rm -rf conftest*
MINIX=1
+
fi
rm -f conftest*
# The Minix shell can't assign to the same variable on the same line!
if test -n "$MINIX"; then
!
! {
test -n "$verbose" && \
! /bin/echo " defining _POSIX_SOURCE"
! /bin/echo "#define" _POSIX_SOURCE "1" >> confdefs.h
DEFS="$DEFS -D_POSIX_SOURCE=1"
}
!
! {
test -n "$verbose" && \
! /bin/echo " defining" _POSIX_1_SOURCE to be "2"
! /bin/echo "#define" _POSIX_1_SOURCE "2" >> confdefs.h
DEFS="$DEFS -D_POSIX_1_SOURCE=2"
}
!
! {
test -n "$verbose" && \
! /bin/echo " defining _MINIX"
! /bin/echo "#define" _MINIX "1" >> confdefs.h
DEFS="$DEFS -D_MINIX=1"
}
fi
! test -n "$silent" || /bin/echo "checking for POSIXized ISC"
! if test -d /gnu/etc/conf/kconfig.d &&
! grep _POSIX_VERSION /gnu/include/sys/unistd.h >/dev/null 2>&1
then
ISC=1 # If later tests want to check for ISC.
!
! {
test -n "$verbose" && \
! /bin/echo " defining _POSIX_SOURCE"
! /bin/echo "#define" _POSIX_SOURCE "1" >> confdefs.h
DEFS="$DEFS -D_POSIX_SOURCE=1"
}
***************
*** 303,339 ****
fi
fi
! echo checking for DYNIX/ptx libseq
! cat > conftest.c <<EOF
! #if defined(_SEQUENT_)
! yes
! #endif
EOF
! eval "$CPP \$DEFS conftest.c > conftest.out 2>&1"
! if egrep "yes" conftest.out >/dev/null 2>&1; then
! SEQUENT=1
fi
rm -f conftest*
- test -n "$SEQUENT" && test -f /usr/lib/libseq.a &&
- LIBS="$LIBS -lseq"
! echo checking for ANSI C header files
! cat > conftest.c <<EOF
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>
EOF
! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
! if test -z "$err"; then
# SunOS 4.x string.h does not declare mem*, contrary to ANSI.
! echo '#include <string.h>' > conftest.c
! eval "$CPP \$DEFS conftest.c > conftest.out 2>&1"
if egrep "memchr" conftest.out >/dev/null 2>&1; then
# SGI's /bin/cc from Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
! cat > conftest.c <<EOF
#include <ctype.h>
#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
--- 557,608 ----
fi
fi
! ac_save_LIBS="${LIBS}"
! LIBS="${LIBS} -lseq"
! ac_have_lib=""
! test -n "$silent" || /bin/echo "checking for -lseq"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
+ int main() { return 0; }
+ int t() { main();; return 0; }
EOF
! if eval $ac_compile; then
! rm -rf conftest*
! ac_have_lib="1"
!
fi
rm -f conftest*
+ LIBS="${ac_save_LIBS}"
+ if test -n "${ac_have_lib}"; then
+ :; LIBS="$LIBS -lseq"
+ else
+ :;
+ fi
! test -n "$silent" || /bin/echo "checking for ANSI C header files"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>
EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
! rm -rf conftest*
# SunOS 4.x string.h does not declare mem*, contrary to ANSI.
! /bin/echo '#include "confdefs.h"
! #include <string.h>' > conftest.${ac_ext}
! eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "memchr" conftest.out >/dev/null 2>&1; then
+ rm -rf conftest*
# SGI's /bin/cc from Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <ctype.h>
#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
***************
*** 343,480 ****
exit (0); }
EOF
! eval $compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
! {
test -n "$verbose" && \
! echo ' defining' STDC_HEADERS
DEFS="$DEFS -DSTDC_HEADERS=1"
}
fi
rm -f conftest*
fi
rm -f conftest*
fi
rm -f conftest*
! echo checking for string.h
! cat > conftest.c <<EOF
#include <string.h>
EOF
! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
! if test -z "$err"; then
:
else
! {
test -n "$verbose" && \
! echo ' defining' NO_STRING_H
DEFS="$DEFS -DNO_STRING_H=1"
}
fi
rm -f conftest*
! echo checking for stdlib.h
! cat > conftest.c <<EOF
#include <stdlib.h>
EOF
! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
! if test -z "$err"; then
:
else
! {
test -n "$verbose" && \
! echo ' defining' NO_STDLIB_H
DEFS="$DEFS -DNO_STDLIB_H=1"
}
fi
rm -f conftest*
! echo checking for memory.h
! cat > conftest.c <<EOF
#include <memory.h>
EOF
! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
! if test -z "$err"; then
:
else
! {
test -n "$verbose" && \
! echo ' defining' NO_MEMORY_H
DEFS="$DEFS -DNO_MEMORY_H=1"
}
fi
rm -f conftest*
! echo checking for fcntl.h
! cat > conftest.c <<EOF
#include <fcntl.h>
EOF
! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
! if test -z "$err"; then
:
else
! {
test -n "$verbose" && \
! echo ' defining' NO_FCNTL_H
DEFS="$DEFS -DNO_FCNTL_H=1"
}
fi
rm -f conftest*
! echo checking for time.h
! cat > conftest.c <<EOF
#include <time.h>
EOF
! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
! if test -z "$err"; then
:
else
! {
test -n "$verbose" && \
! echo ' defining' NO_TIME_H
DEFS="$DEFS -DNO_TIME_H=1"
}
fi
rm -f conftest*
! for hdr in unistd.h
do
! trhdr=HAVE_`echo $hdr | tr '[a-z]./' '[A-Z]__'`
! echo checking for ${hdr}
! cat > conftest.c <<EOF
! #include <${hdr}>
! EOF
! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
! if test -z "$err"; then
! {
! test -n "$verbose" && \
! echo ' defining' ${trhdr}
! DEFS="$DEFS -D${trhdr}=1"
}
fi
rm -f conftest*
done
utime=0
! echo checking for utime.h
! cat > conftest.c <<EOF
#include <utime.h>
EOF
! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
! if test -z "$err"; then
utime=1
else
! {
test -n "$verbose" && \
! echo ' defining' NO_UTIME_H
DEFS="$DEFS -DNO_UTIME_H=1"
}
--- 612,809 ----
exit (0); }
EOF
! eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
! # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
! /bin/echo '#include "confdefs.h"
! #include <stdlib.h>' > conftest.${ac_ext}
! eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
! if egrep "free" conftest.out >/dev/null 2>&1; then
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining STDC_HEADERS"
! /bin/echo "#define" STDC_HEADERS "1" >> confdefs.h
DEFS="$DEFS -DSTDC_HEADERS=1"
}
+
fi
rm -f conftest*
+
+
+ fi
+ rm -fr conftest*
+
fi
rm -f conftest*
+
fi
rm -f conftest*
! test -n "$silent" || /bin/echo "checking for string.h"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <string.h>
EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
:
else
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining NO_STRING_H"
! /bin/echo "#define" NO_STRING_H "1" >> confdefs.h
DEFS="$DEFS -DNO_STRING_H=1"
}
fi
rm -f conftest*
! test -n "$silent" || /bin/echo "checking for stdlib.h"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <stdlib.h>
EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
:
else
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining NO_STDLIB_H"
! /bin/echo "#define" NO_STDLIB_H "1" >> confdefs.h
DEFS="$DEFS -DNO_STDLIB_H=1"
}
fi
rm -f conftest*
! test -n "$silent" || /bin/echo "checking for memory.h"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <memory.h>
EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
:
else
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining NO_MEMORY_H"
! /bin/echo "#define" NO_MEMORY_H "1" >> confdefs.h
DEFS="$DEFS -DNO_MEMORY_H=1"
}
fi
rm -f conftest*
! test -n "$silent" || /bin/echo "checking for fcntl.h"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <fcntl.h>
EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
:
else
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining NO_FCNTL_H"
! /bin/echo "#define" NO_FCNTL_H "1" >> confdefs.h
DEFS="$DEFS -DNO_FCNTL_H=1"
}
fi
rm -f conftest*
! test -n "$silent" || /bin/echo "checking for time.h"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <time.h>
EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
:
else
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining NO_TIME_H"
! /bin/echo "#define" NO_TIME_H "1" >> confdefs.h
DEFS="$DEFS -DNO_TIME_H=1"
}
fi
rm -f conftest*
! for ac_hdr in unistd.h
do
! ac_tr_hdr=HAVE_`/bin/echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
! test -n "$silent" || /bin/echo "checking for ${ac_hdr}"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
! #include <${ac_hdr}>
! EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
! rm -rf conftest*
!
! {
! test -n "$verbose" && \
! /bin/echo " defining ${ac_tr_hdr}"
! /bin/echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
! DEFS="$DEFS -D${ac_tr_hdr}=1"
}
+
fi
rm -f conftest*
done
utime=0
! test -n "$silent" || /bin/echo "checking for utime.h"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <utime.h>
EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
! rm -rf conftest*
utime=1
+
else
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining NO_UTIME_H"
! /bin/echo "#define" NO_UTIME_H "1" >> confdefs.h
DEFS="$DEFS -DNO_UTIME_H=1"
}
***************
*** 482,611 ****
rm -f conftest*
if test $utime -eq 0; then
! for hdr in sys/utime.h
do
! trhdr=HAVE_`echo $hdr | tr '[a-z]./' '[A-Z]__'`
! echo checking for ${hdr}
! cat > conftest.c <<EOF
! #include <${hdr}>
! EOF
! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
! if test -z "$err"; then
! {
! test -n "$verbose" && \
! echo ' defining' ${trhdr}
! DEFS="$DEFS -D${trhdr}=1"
}
fi
rm -f conftest*
done
fi
! echo checking for directory library header
! dirheader=
! if test -z "$dirheader"; then
! echo checking for dirent.h
! cat > conftest.c <<EOF
#include <sys/types.h>
#include <dirent.h>
! int main() { exit(0); }
! int t() { DIR *dirp = opendir ("/"); }
EOF
! if eval $compile; then
! {
test -n "$verbose" && \
! echo ' defining' DIRENT
DEFS="$DEFS -DDIRENT=1"
}
! dirheader=dirent.h
fi
rm -f conftest*
fi
! if test -z "$dirheader"; then
! echo checking for sys/ndir.h
! cat > conftest.c <<EOF
#include <sys/types.h>
#include <sys/ndir.h>
! int main() { exit(0); }
! int t() { DIR *dirp = opendir ("/"); }
EOF
! if eval $compile; then
! {
test -n "$verbose" && \
! echo ' defining' SYSNDIR
DEFS="$DEFS -DSYSNDIR=1"
}
! dirheader=sys/ndir.h
fi
rm -f conftest*
fi
! if test -z "$dirheader"; then
! echo checking for sys/dir.h
! cat > conftest.c <<EOF
#include <sys/types.h>
#include <sys/dir.h>
! int main() { exit(0); }
! int t() { DIR *dirp = opendir ("/"); }
EOF
! if eval $compile; then
! {
test -n "$verbose" && \
! echo ' defining' SYSDIR
DEFS="$DEFS -DSYSDIR=1"
}
! dirheader=sys/dir.h
fi
rm -f conftest*
fi
! if test -z "$dirheader"; then
! echo checking for ndir.h
! cat > conftest.c <<EOF
#include <sys/types.h>
#include <ndir.h>
! int main() { exit(0); }
! int t() { DIR *dirp = opendir ("/"); }
EOF
! if eval $compile; then
! {
test -n "$verbose" && \
! echo ' defining' NDIR
DEFS="$DEFS -DNDIR=1"
}
! dirheader=ndir.h
fi
rm -f conftest*
fi
! echo checking for closedir return value
! cat > conftest.c <<EOF
#include <sys/types.h>
! #include <$dirheader>
int closedir(); main() { exit(closedir(opendir(".")) != 0); }
EOF
! eval $compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
:
else
! {
test -n "$verbose" && \
! echo ' defining' VOID_CLOSEDIR
DEFS="$DEFS -DVOID_CLOSEDIR=1"
}
fi
! rm -f conftest*
! echo checking for Xenix
! cat > conftest.c <<EOF
#if defined(M_XENIX) && !defined(M_UNIX)
yes
#endif
EOF
! eval "$CPP \$DEFS conftest.c > conftest.out 2>&1"
if egrep "yes" conftest.out >/dev/null 2>&1; then
XENIX=1
fi
rm -f conftest*
--- 811,973 ----
rm -f conftest*
if test $utime -eq 0; then
! for ac_hdr in sys/utime.h
do
! ac_tr_hdr=HAVE_`/bin/echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
! test -n "$silent" || /bin/echo "checking for ${ac_hdr}"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
! #include <${ac_hdr}>
! EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
! rm -rf conftest*
!
! {
! test -n "$verbose" && \
! /bin/echo " defining ${ac_tr_hdr}"
! /bin/echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
! DEFS="$DEFS -D${ac_tr_hdr}=1"
}
+
fi
rm -f conftest*
done
fi
! test -n "$silent" || /bin/echo "checking for directory library header"
! ac_dir_header=
! if test -z "$ac_dir_header"; then
! test -n "$silent" || /bin/echo "checking for dirent.h"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <sys/types.h>
#include <dirent.h>
! int main() { return 0; }
! int t() { DIR *dirp = 0;; return 0; }
EOF
! if eval $ac_compile; then
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining DIRENT"
! /bin/echo "#define" DIRENT "1" >> confdefs.h
DEFS="$DEFS -DDIRENT=1"
}
! ac_dir_header=dirent.h
!
fi
rm -f conftest*
fi
! if test -z "$ac_dir_header"; then
! test -n "$silent" || /bin/echo "checking for sys/ndir.h"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <sys/types.h>
#include <sys/ndir.h>
! int main() { return 0; }
! int t() { DIR *dirp = 0;; return 0; }
EOF
! if eval $ac_compile; then
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining SYSNDIR"
! /bin/echo "#define" SYSNDIR "1" >> confdefs.h
DEFS="$DEFS -DSYSNDIR=1"
}
! ac_dir_header=sys/ndir.h
!
fi
rm -f conftest*
fi
! if test -z "$ac_dir_header"; then
! test -n "$silent" || /bin/echo "checking for sys/dir.h"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <sys/types.h>
#include <sys/dir.h>
! int main() { return 0; }
! int t() { DIR *dirp = 0;; return 0; }
EOF
! if eval $ac_compile; then
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining SYSDIR"
! /bin/echo "#define" SYSDIR "1" >> confdefs.h
DEFS="$DEFS -DSYSDIR=1"
}
! ac_dir_header=sys/dir.h
!
fi
rm -f conftest*
fi
! if test -z "$ac_dir_header"; then
! test -n "$silent" || /bin/echo "checking for ndir.h"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <sys/types.h>
#include <ndir.h>
! int main() { return 0; }
! int t() { DIR *dirp = 0;; return 0; }
EOF
! if eval $ac_compile; then
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining NDIR"
! /bin/echo "#define" NDIR "1" >> confdefs.h
DEFS="$DEFS -DNDIR=1"
}
! ac_dir_header=ndir.h
!
fi
rm -f conftest*
fi
! test -n "$silent" || /bin/echo "checking for closedir return value"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <sys/types.h>
! #include <$ac_dir_header>
int closedir(); main() { exit(closedir(opendir(".")) != 0); }
EOF
! eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
:
else
!
! {
test -n "$verbose" && \
! /bin/echo " defining VOID_CLOSEDIR"
! /bin/echo "#define" VOID_CLOSEDIR "1" >> confdefs.h
DEFS="$DEFS -DVOID_CLOSEDIR=1"
}
fi
! rm -fr conftest*
! test -n "$silent" || /bin/echo "checking for Xenix"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#if defined(M_XENIX) && !defined(M_UNIX)
yes
#endif
EOF
! eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "yes" conftest.out >/dev/null 2>&1; then
+ rm -rf conftest*
XENIX=1
+
fi
rm -f conftest*
***************
*** 617,639 ****
esac
fi
! echo checking for return type of signal handlers
! cat > conftest.c <<EOF
#include <sys/types.h>
#include <signal.h>
#ifdef signal
#undef signal
#endif
extern void (*signal ()) ();
! int main() { exit(0); }
! int t() { int i; }
EOF
! if eval $compile; then
:
else
! {
test -n "$verbose" && \
! echo ' defining' RETSIGTYPE to be 'int'
DEFS="$DEFS -DRETSIGTYPE=int"
}
--- 979,1005 ----
esac
fi
! test -n "$silent" || /bin/echo "checking for return type of signal handlers"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
#include <sys/types.h>
#include <signal.h>
#ifdef signal
#undef signal
#endif
extern void (*signal ()) ();
! int main() { return 0; }
! int t() { int i;; return 0; }
EOF
! if eval $ac_compile; then
:
else
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining" RETSIGTYPE to be "int"
! /bin/echo "#define" RETSIGTYPE "int" >> confdefs.h
DEFS="$DEFS -DRETSIGTYPE=int"
}
***************
*** 641,719 ****
rm -f conftest*
! echo checking for size_t in sys/types.h
! echo '#include <sys/types.h>' > conftest.c
! eval "$CPP \$DEFS conftest.c > conftest.out 2>&1"
if egrep "size_t" conftest.out >/dev/null 2>&1; then
:
else
! {
test -n "$verbose" && \
! echo ' defining' size_t to be 'unsigned'
DEFS="$DEFS -Dsize_t=unsigned"
}
fi
rm -f conftest*
! echo '#include <sys/types.h>' > conftest.c
! eval "$CPP \$DEFS conftest.c > conftest.out 2>&1"
if egrep "off_t" conftest.out >/dev/null 2>&1; then
:
else
! {
test -n "$verbose" && \
! echo ' defining' NO_OFF_T
DEFS="$DEFS -DNO_OFF_T=1"
}
fi
rm -f conftest*
! echo "checking if \`#!' works in shell scripts"
! cat <<'__EOF__' > conftest.csh
! #!/bin/csh -f
! setenv SHELL /bin/csh
! # Avoid tcsh bug 'Bad Hertz Value':
! setenv HZ 60
! # Make sure foo doesn't get exported into the environment
! # Astoundingly, some versions of csh don't have unsetenv.
! if (${?foo}) unsetenv foo >& /dev/null
! if (${?foo}) unset foo
! set output="`./conftest.sh`"
! if ( "$output" == "foo=bar" ) then
! exit 0
! endif
! exit 1
! __EOF__
! cat <<'__EOF__' > conftest.sh
! #!/bin/sh
! set foo=bar
! echo "$*"
! __EOF__
! chmod 777 conftest.csh conftest.sh
! (csh -f ./conftest.csh) 2> /dev/null
! if test $? = 0 ; then
! :; SEDCMD="1d"
! else
! :; SEDCMD=""
! fi
! rm -f conftest.csh conftest.sh
!
if test -z "$prefix"
then
! echo checking for gzip to derive installation directory prefix
! IFS="${IFS= }"; saveifs="$IFS"; IFS="$IFS:"
! for dir in $PATH; do
! test -z "$dir" && dir=.
! if test $dir != . && test -f $dir/gzip; then
# Not all systems have dirname.
! prefix=`echo $dir|sed 's%/[^/][^/]*$%%'`
break
fi
done
! IFS="$saveifs"
! echo " chose installation directory prefix ${prefix}"
fi
if test -z "$G" -a -n "$prefix" -a -f $prefix/bin/gznew; then
--- 1007,1064 ----
rm -f conftest*
! test -n "$silent" || /bin/echo "checking for size_t in sys/types.h"
! /bin/echo '#include "confdefs.h"
! #include <sys/types.h>' > conftest.${ac_ext}
! eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "size_t" conftest.out >/dev/null 2>&1; then
:
else
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining" size_t to be "unsigned"
! /bin/echo "#define" size_t "unsigned" >> confdefs.h
DEFS="$DEFS -Dsize_t=unsigned"
}
fi
rm -f conftest*
! /bin/echo '#include "confdefs.h"
! #include <sys/types.h>' > conftest.${ac_ext}
! eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "off_t" conftest.out >/dev/null 2>&1; then
:
else
! rm -rf conftest*
!
! {
test -n "$verbose" && \
! /bin/echo " defining NO_OFF_T"
! /bin/echo "#define" NO_OFF_T "1" >> confdefs.h
DEFS="$DEFS -DNO_OFF_T=1"
}
fi
rm -f conftest*
! SEDCMD=""
if test -z "$prefix"
then
! test -n "$silent" || /bin/echo "checking for gzip to derive installation directory prefix"
! IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="$IFS:"
! for ac_dir in $PATH; do
! test -z "$ac_dir" && ac_dir=.
! if test $ac_dir != . && test -f $ac_dir/gzip; then
# Not all systems have dirname.
! prefix=`/bin/echo $ac_dir|sed 's%/[^/][^/]*$%%'`
break
fi
done
! IFS="$ac_save_ifs"
! test -n "$verbose" && /bin/echo " chose installation directory prefix ${prefix}"
fi
if test -z "$G" -a -n "$prefix" -a -f $prefix/bin/gznew; then
***************
*** 726,749 ****
ZCAT=${G}zcat
fi
fi
if test -n "$prefix"; then
! test -z "$exec_prefix" && exec_prefix='${prefix}'
! prsub="s%^prefix\\([ ]*\\)=\\([ ]*\\).*$%prefix\\1=\\2$prefix%"
fi
if test -n "$exec_prefix"; then
! prsub="$prsub
! s%^exec_prefix\\([ ]*\\)=\\([ ]*\\).*$%\
! exec_prefix\\1=\\2$exec_prefix%"
fi
cat >conftest.def <<EOF
$DEFS
EOF
! escape_ampersand_and_backslash='s%[&\\]%\\&%g'
! DEFS=`sed "$escape_ampersand_and_backslash" <conftest.def`
rm -f conftest.def
! trap 'rm -f config.status; exit 1' 1 3 15
! echo creating config.status
rm -f config.status
cat > config.status <<EOF
#!/bin/sh
--- 1071,1103 ----
ZCAT=${G}zcat
fi
fi
+ # Set default prefixes.
if test -n "$prefix"; then
! test -z "$exec_prefix" && exec_prefix='${prefix}' # Let make expand it.
! ac_prsub="s%^prefix\\([ ]*\\)=\\([ ]*\\).*$%prefix\\1=\\2$prefix%"
fi
if test -n "$exec_prefix"; then
! ac_prsub="$ac_prsub
! s%^exec_prefix\\([ ]*\\)=\\([ ]*\\).*$%exec_prefix\\1=\\2$exec_prefix%"
! fi
! # Any assignment to VPATH causes Sun make to only execute
! # the first set of double-colon rules, so remove it if not needed.
! # If there is a colon in the path, we need to keep it.
! if test "x$srcdir" = x.; then
! ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
fi
+
+ # Quote sed substitution magic chars in DEFS.
cat >conftest.def <<EOF
$DEFS
EOF
! ac_escape_ampersand_and_backslash='s%[&\\]%\\&%g'
! DEFS=`sed "$ac_escape_ampersand_and_backslash" <conftest.def`
rm -f conftest.def
+ # Substitute for predefined variables.
! trap 'rm -f config.status; exit 1' 1 2 15
! /bin/echo creating config.status
rm -f config.status
cat > config.status <<EOF
#!/bin/sh
***************
*** 752,769 ****
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
! # $0 $*
! for arg
do
! case "\$arg" in
! -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
! exec /bin/sh $0 $* ;;
! *) echo "Usage: config.status --recheck" 2>&1; exit 1 ;;
esac
done
! trap 'rm -f Makefile; exit 1' 1 3 15
CC='$CC'
CPP='$CPP'
INSTALL='$INSTALL'
--- 1106,1130 ----
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
! # $0 $configure_args
! ac_cs_usage="Usage: config.status [--recheck] [--version] [--help]"
! for ac_option
do
! case "\$ac_option" in
! -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
! /bin/echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create
! exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create ;;
! -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
! /bin/echo "config.status generated by autoconf version 1.9"
! exit 0 ;;
! -help | --help | --hel | --he | --h)
! /bin/echo "\$ac_cs_usage"; exit 0 ;;
! *) /bin/echo "\$ac_cs_usage"; exit 1 ;;
esac
done
! trap 'rm -f Makefile; exit 1' 1 2 15
CC='$CC'
CPP='$CPP'
INSTALL='$INSTALL'
***************
*** 777,807 ****
SEDCMD='$SEDCMD'
LIBS='$LIBS'
srcdir='$srcdir'
! DEFS='$DEFS'
prefix='$prefix'
exec_prefix='$exec_prefix'
! prsub='$prsub'
EOF
cat >> config.status <<\EOF
! top_srcdir=$srcdir
!
! # Allow make-time overrides of the generated file list.
! test -n "$gen_files" || gen_files="Makefile"
! for file in .. $gen_files; do if [ "x$file" != "x.." ]; then
! srcdir=$top_srcdir
# Remove last slash and all that follows it. Not all systems have dirname.
! dir=`echo $file|sed 's%/[^/][^/]*$%%'`
! if test "$dir" != "$file"; then
! test "$top_srcdir" != . && srcdir=$top_srcdir/$dir
! test ! -d $dir && mkdir $dir
fi
! echo creating $file
! rm -f $file
! echo "# Generated automatically from `echo $file|sed 's|.*/||'`.in by configure." > $file
sed -e "
! $prsub
s%@CC@%$CC%g
s%@CPP@%$CPP%g
s%@INSTALL@%$INSTALL%g
--- 1138,1188 ----
SEDCMD='$SEDCMD'
LIBS='$LIBS'
srcdir='$srcdir'
! top_srcdir='$top_srcdir'
prefix='$prefix'
exec_prefix='$exec_prefix'
! DEFS='$DEFS'
! ac_prsub='$ac_prsub'
! ac_vpsub='$ac_vpsub'
! extrasub='$extrasub'
EOF
cat >> config.status <<\EOF
! ac_given_srcdir=$srcdir
! CONFIG_FILES=${CONFIG_FILES-"Makefile"}
! for ac_file in .. ${CONFIG_FILES}; do if test "x$ac_file" != x..; then
# Remove last slash and all that follows it. Not all systems have dirname.
! ac_dir=`/bin/echo $ac_file|sed 's%/[^/][^/]*$%%'`
! if test "$ac_dir" != "$ac_file"; then
! # The file is in a subdirectory.
! test ! -d "$ac_dir" && mkdir "$ac_dir"
! ac_dir_suffix="/$ac_dir"
! else
! ac_dir_suffix=
fi
!
! # A "../" for each directory in $ac_dir_suffix.
! ac_dots=`/bin/echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
! case "$ac_given_srcdir" in
! .) srcdir=.; top_srcdir="$ac_dots." ;;
! /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
! *) # Relative path.
! srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
! top_srcdir="$ac_dots$ac_given_srcdir" ;;
! esac
!
! /bin/echo creating "$ac_file"
! rm -f "$ac_file"
! comment_str="Generated automatically from `/bin/echo $ac_file|sed 's|.*/||'`.in by configure."
! case "$ac_file" in
! *.c | *.h | *.C | *.cc | *.m ) /bin/echo "/* $comment_str */" > "$ac_file" ;;
! * ) /bin/echo "# $comment_str" > "$ac_file" ;;
! esac
sed -e "
! $ac_prsub
! $ac_vpsub
! $extrasub
s%@CC@%$CC%g
s%@CPP@%$CPP%g
s%@INSTALL@%$INSTALL%g
***************
*** 815,826 ****
s%@SEDCMD@%$SEDCMD%g
s%@LIBS@%$LIBS%g
s%@srcdir@%$srcdir%g
s%@DEFS@%$DEFS%
! " $top_srcdir/${file}.in >> $file
fi; done
exit 0
EOF
chmod +x config.status
! test -n "$no_create" || ./config.status
--- 1196,1211 ----
s%@SEDCMD@%$SEDCMD%g
s%@LIBS@%$LIBS%g
s%@srcdir@%$srcdir%g
+ s%@top_srcdir@%$top_srcdir%g
+ s%@prefix@%$prefix%g
+ s%@exec_prefix@%$exec_prefix%g
s%@DEFS@%$DEFS%
! " $ac_given_srcdir/${ac_file}.in >> $ac_file
fi; done
+
exit 0
EOF
chmod +x config.status
! test -n "$no_create" || ${CONFIG_SHELL-/bin/sh} config.status
diff -rc --new-file gzip-1.2.4/configure.in /gnu/src/amiga/gzip-1.2.4/configure.in
*** gzip-1.2.4/configure.in Wed Jul 7 15:01:58 1993
--- /gnu/src/amiga/gzip-1.2.4/configure.in Mon Apr 25 20:45:43 1994
***************
*** 26,32 ****
dnl cc -E produces incorrect asm files on SVR4, we must use /lib/cpp.
dnl Also, "gcc -E match.s" ignores -E, so we must use match.S.
echo checking for underline in external names
- test -z "$ASCPP" -a -f /lib/cpp && ASCPP=/lib/cpp
test -z "$ASCPP" && ASCPP="$CC -E"
cat > conftest.c <<EOF
int foo() {return 0;}
--- 26,31 ----
***************
*** 77,83 ****
AC_RETSIGTYP
AC_SIZE_T
AC_HEADER_EGREP(off_t, sys/types.h, ,AC_DEFINE(NO_OFF_T))
! AC_HAVE_POUNDBANG([SEDCMD="1d"], [SEDCMD=""])
AC_PREFIX(gzip)
if test -z "$G" -a -n "$prefix" -a -f $prefix/bin/gznew; then
G=g
--- 76,82 ----
AC_RETSIGTYP
AC_SIZE_T
AC_HEADER_EGREP(off_t, sys/types.h, ,AC_DEFINE(NO_OFF_T))
! SEDCMD=""
AC_PREFIX(gzip)
if test -z "$G" -a -n "$prefix" -a -f $prefix/bin/gznew; then
G=g
diff -rc --new-file gzip-1.2.4/gzexe.in /gnu/src/amiga/gzip-1.2.4/gzexe.in
*** gzip-1.2.4/gzexe.in Thu Jun 24 10:25:05 1993
--- /gnu/src/amiga/gzip-1.2.4/gzexe.in Thu Feb 24 00:08:37 1994
***************
*** 1,4 ****
- :
#!/bin/sh
# gzexe: compressor for Unix executables.
# Use this only for binaries that you do not use frequently.
--- 1,3 ----
diff -rc --new-file gzip-1.2.4/sample/ztouch /gnu/src/amiga/gzip-1.2.4/sample/ztouch
*** gzip-1.2.4/sample/ztouch Thu May 27 14:28:42 1993
--- /gnu/src/amiga/gzip-1.2.4/sample/ztouch Wed Feb 23 18:33:48 1994
***************
*** 1,4 ****
! #! /usr/local/bin/perl
# Set the time stamp of a gzip'ed file from that stored in the file.
# usage: ztouch files...
--- 1,4 ----
! #! /bin/perl
# Set the time stamp of a gzip'ed file from that stored in the file.
# usage: ztouch files...
diff -rc --new-file gzip-1.2.4/tailor.h /gnu/src/amiga/gzip-1.2.4/tailor.h
*** gzip-1.2.4/tailor.h Mon Aug 16 21:19:55 1993
--- /gnu/src/amiga/gzip-1.2.4/tailor.h Wed Feb 23 23:53:25 1994
***************
*** 171,185 ****
# endif
#endif
#ifdef AMIGA
# define PATH_SEP2 ':'
# define STDC_HEADERS
# define OS_CODE 0x01
! # define ASMV
! # ifdef __GNUC__
! # define DIRENT
! # define HAVE_UNISTD_H
! # else /* SASC */
# define NO_STDIN_FSTAT
# define SYSDIR
# define NO_SYMLINK
--- 171,184 ----
# endif
#endif
+ /* The Amiga version using gcc can just use the normal configure to
+ set ASMV, HAVE_UNISTD_H, and DIRENT */
+
#ifdef AMIGA
# define PATH_SEP2 ':'
# define STDC_HEADERS
# define OS_CODE 0x01
! # ifndef __GNUC__ /* SASC */
# define NO_STDIN_FSTAT
# define SYSDIR
# define NO_SYMLINK
diff -rc --new-file gzip-1.2.4/zdiff.in /gnu/src/amiga/gzip-1.2.4/zdiff.in
*** gzip-1.2.4/zdiff.in Mon Aug 16 22:32:16 1993
--- /gnu/src/amiga/gzip-1.2.4/zdiff.in Thu Feb 24 00:08:50 1994
***************
*** 1,4 ****
- :
#!/bin/sh
# sh is buggy on RS/6000 AIX 3.2. Replace above line with #!/bin/ksh
--- 1,3 ----
diff -rc --new-file gzip-1.2.4/zforce.in /gnu/src/amiga/gzip-1.2.4/zforce.in
*** gzip-1.2.4/zforce.in Fri Jun 11 11:36:14 1993
--- /gnu/src/amiga/gzip-1.2.4/zforce.in Thu Feb 24 00:09:01 1994
***************
*** 1,4 ****
- :
#!/bin/sh
# zforce: force a gz extension on all gzip files so that gzip will not
# compress them twice.
--- 1,3 ----
diff -rc --new-file gzip-1.2.4/zgrep.in /gnu/src/amiga/gzip-1.2.4/zgrep.in
*** gzip-1.2.4/zgrep.in Wed Jun 23 07:51:32 1993
--- /gnu/src/amiga/gzip-1.2.4/zgrep.in Thu Feb 24 00:09:09 1994
***************
*** 1,4 ****
- :
#!/bin/sh
# zgrep -- a wrapper around a grep program that decompresses files as needed
--- 1,3 ----
diff -rc --new-file gzip-1.2.4/zmore.in /gnu/src/amiga/gzip-1.2.4/zmore.in
*** gzip-1.2.4/zmore.in Tue Aug 17 17:23:22 1993
--- /gnu/src/amiga/gzip-1.2.4/zmore.in Thu Feb 24 00:09:49 1994
***************
*** 1,4 ****
- :
#!/bin/sh
PATH="BINDIR:$PATH"; export PATH
--- 1,3 ----
***************
*** 25,31 ****
if test -t 0; then
echo usage: zmore files...
else
! gzip -cdfq | eval ${PAGER-more}
fi
else
FIRST=1
--- 24,30 ----
if test -t 0; then
echo usage: zmore files...
else
! gzip -cdfq | eval ${PAGER-less}
fi
else
FIRST=1
***************
*** 43,49 ****
fi
if test "$ANS" != 's'; then
echo "------> $FILE <------"
! gzip -cdfq "$FILE" | eval ${PAGER-more}
fi
if test -t; then
FIRST=0
--- 42,48 ----
fi
if test "$ANS" != 's'; then
echo "------> $FILE <------"
! gzip -cdfq "$FILE" | eval ${PAGER-less}
fi
if test -t; then
FIRST=0
diff -rc --new-file gzip-1.2.4/znew.in /gnu/src/amiga/gzip-1.2.4/znew.in
*** gzip-1.2.4/znew.in Wed Jun 23 08:00:25 1993
--- /gnu/src/amiga/gzip-1.2.4/znew.in Thu Feb 24 00:10:02 1994
***************
*** 1,4 ****
- :
#!/bin/sh
PATH="BINDIR:$PATH"; export PATH
--- 1,3 ----